import { arr2obj } from "../data-transform";

export const initColumns = (
  arr,
  prop = { disabled: false, readonly: false, clearable: false }
) => {
  return arr
    .map((element) => {
      let config = element.config || {};
      const type = element.type;
      if (type === "Input") {
      }
      if (type === "InputDialog") {
        prop.readonly = true;
      }
      if (type === "InputNumber") {
        config = { controlsPosition: "right", ...config };
      }
      if (type === "Select") {
      }
      if (type === "DatePicker") {
        config = { type: "date", ...config };
      }
      return { config, ...element, ...prop };
    })
    .map((element) => {
      let value = "";
      if (element.type === "DatePicker") value = new Date();
      else if (element.type === "InputNumber") value = 1;
      else value = "1";
      return { ...element, value };
    });
};

// 初始化参数
export const initParams = (prop, key = "key", value = "value") =>
  arr2obj(prop, key, value);
// 初始化字典
export const initDicts = (prop) =>
  prop
    .filter((column) => column.type === "Select")
    .map((column) => column.config.optionsName);
// 初始化校验
export const initRules = (prop) => {
  const rules = {};
  prop
    .filter((column) => column.require)
    .forEach((column) => {
      const message = `${column.title}不能为空`;
      rules[column.key] = [
        { required: true, message: message, trigger: "change" },
      ];
    });
  return rules;
};

const pageSizes = [25, 50, 100];

const layout = "total, prev, pager, next, sizes, jumper";

const page = { pageNum: 1, pageSize: 25, total: 0 };

export const initPageSizes = () => pageSizes;

export const initLayout = () => layout;

export const initPage = () => page;

// export default function InitHooks(prop) {
//   return {
//     initPage,
//     initParams,
//     initDicts: initDicts(prop),
//     initRules: initRules(prop),
//     initComponents: initComponents(prop),
//   };
// }
