const columns = [
  // { key: "id", title: "主键",type: "Input", },
  {
    key: "puOrg",
    title: "采购组织",
    type: "InputDialog",
    config: {
      componentName: "Organization",
      dataMapping: { puOrg: "deptName" },
    },
    require: true,
  },
  // { key: "puOrgName", title: "采购组织名称", },
  {
    key: "billType",
    title: "订单类型",
    type: "Select",
    require: true,
    config: {
      optionsName: "", // 字典名
    },
  },
  // { key: "billTypeName", title: "订单类型名称", },
  { key: "oaDemandNo", title: "OA需求单号", type: "Input", },
  { key: "code", title: "订单编号", type: "Input", },
  {
    key: "billDate",
    title: "订单日期",
    type: "DatePicker",
    config: { type: "date" },
  },
  {
    key: "supplier",
    title: "供应商",
    type: "InputDialog",
    config: {
      componentName: "Supplier",
      dataMapping: { supplier: "name" },
    },
    require: true,
  },
  // { key: "supplierName", title: "供应商名称", },
  {
    key: "paymentAgreement",
    title: "付款协议",
    type: "InputDialog",
    config: {
      componentName: "PaymentPlan",
      dataMapping: {
        buyer: "userName",
        puDept: "deptName",
      },
    },
  },
  { key: "finalType", title: "结算方式", type: "Input", },
  {
    key: "currency",
    title: "币种",
    type: "InputDialog",
    config: {
      componentName: "Currency",
      dataMapping: {
        currency: "name",
      },
    },
  },
  // { key: "currencyName", title: "币种名称", },
  {
    key: "buyer",
    title: "采购员",
    type: "InputDialog",
    config: {
      componentName: "User",
      dataMapping: {
        buyer: "userName",
        puDept: "deptName",
      },
    },
    require: true,
  },
  // { key: "buyerName", title: "采购员名称", },
  {
    key: "puDept",
    title: "采购部门",
    type: "InputDialog",
    config: { componentName: "Department" },
    require: true,
  },
  // { key: "puDeptName", title: "采购部门名称", },
  // { key: "customer", title: "收货客户", type: "Input", },
  {
    key: "customerName",
    title: "收货客户名称",
    type: "InputDialog",
    config: { componentName: "Customer" },
    width: 200,
  },
  {
    key: "qty",
    title: "总数量",
    type: "InputNumber",
    config: { controlsPosition: "right" },
  },
  {
    key: "originalQty",
    title: "原始总数量",
    type: "InputNumber",
    config: { controlsPosition: "right" },
  },
  { key: "money", title: "价税合计", type: "Input", },
  { key: "originalMoney", title: "原始总金额", type: "Input", },
  { key: "notaxMoney", title: "无税金额", type: "Input", },
  { key: "status", title: "单据状态", type: "Input", },
  { key: "freezeCause", title: "冻结原因", type: "Input", },
  { key: "isBack", title: "退货", type: "Input", type: "Input", },
  { key: "isMarketing", title: "已协同生成销售订单", type: "Checkbox", },
  { key: "isMarketingSource", title: "由销售订单协同生成", type: "Checkbox", },
  {
    key: "warehouse",
    title: "WMS入库仓库", // 收货仓库
    type: "InputDialog",
    config: { componentName: "Warehouse" },
  },
  // { key: "warehouseName", title: "WMS入库仓库名称", },
  {
    key: "goodsAllocation",
    title: "货位",
    type: "InputDialog",
    config: { componentName: "Allocation" },
    width: 200,
  },
  // { key: "goodsAllocationName", title: "货位名称", },
  { key: "isSendSrm", title: "是否同步SRM", type: "Checkbox", },
  { key: "isInvoice", title: "发票标识", type: "Input", },
  { key: "supplierOrderNo", title: "供应商订单号", type: "Input", },
  { key: "rebateMoney", title: "订单使用返利金额", type: "Input", },
  { key: "deductionMoney", title: "订单抵扣余款金额", type: "Input", },
  { key: "address", title: "收货地址", type: "Input", },
  { key: "contacts", title: "收货联系人", type: "Input", },
  { key: "customerDept", title: "客户部门", type: "Input", },
  // { key: "customerDeptName", title: "客户部门名称", },
  {
    key: "supplierContacts",
    title: "供应商业务联系人",
    type: "InputDialog",
    config: { componentName: "" },
    width: 200,
  },
  // { key: "supplierContactsName", title: "供应商业务联系人名称", },
  { key: "isUrgency", title: "紧急程度", type: "Input", },
  { key: "isSendWms", title: "已同步WMS", type: "Checkbox", },
  // { key: "agent", title: "代理人", type: "Input", }, // 建议删除
  // { key: "agentName", title: "代理人名称", },
  { key: "isClose", title: "最终关闭", type: "Checkbox", },
  { key: "closeTime", title: "最终关闭日期", type: "Input", },
  { key: "applyPaymentMoney", title: "累计付款申请金额", type: "Input", },
  { key: "paymentMoney", title: "累计付款金额", type: "Input", },
  { key: "invoiceMoney", title: "发票金额", type: "Input", },
  {
    key: "supplierPersonal",
    title: "供应商业务员",
    type: "InputDialog",
    config: { componentName: "" },
    width: 200,
  },
  // { key: "supplierPersonalName", title: "供应商业务员名称", },
  { key: "isDeliver", title: "是否发货", type: "Input", },
  {
    key: "retReason",
    title: "退换原因",
    type: "InputDialog",
    config: { componentName: "" },
  },
  {
    key: "processType",
    title: "处理方式",
    type: "InputDialog",
    config: { componentName: "" },
  },
  { key: "isEnd", title: "整单关闭标识", type: "Input", },
  {
    key: "projectNow",
    title: "在建工程项目",
    type: "InputDialog",
    config: { componentName: "" },
  },
  {
    key: "operatingItems",
    title: "经营性项目",
    type: "Input",
    type: "InputDialog",
    config: { componentName: "" },
  },
  { key: "isArrivalReson", title: "到货超期原因", type: "Input", },
  { key: "midOrderNo", title: "中台采购订单号", type: "Input", },
  { key: "marketingCode", title: "销售订单号", type: "Input", },
  { key: "isArrival", title: "到货超期", type: "Input", },
  // { key: "tenantId", title: "租户号", },
  // { key: "revision", title: "乐观锁", },
  { key: "createByName", title: "创建人名称", type: "Input", },
  { key: "updateByName", title: "更新人名称", type: "Input", },
  // { key: "delFlag", title: "删除标记", },
  { key: "flowId", title: "OA流程ID", type: "Input", },
  { key: "approver", title: "审批人", type: "Input", },
  {
    key: "approverFinishTime",
    title: "审批时间",
    type: "DatePicker",
    config: { type: "date" },
  },
  { key: "approveTime", title: "提交时间", },

];

export const initColumns = () => columns;

const tabColumns = [
  {
    title: '物料信息',
    key: 'puOrderItemList',
    tableColumns: [
      // { key: "id", title: "主键" },
      { key: "rowNo", title: "行号", type: "Input", },
      { key: "orderId", title: "采购订单ID", type: "Input", },
      // { key: "material", title: "物料", type: "Input", },
      {
        key: "materialName",
        title: "物料名称",
        type: "InputDialog",
        config: { componentName: "" },
        width: 200,
      },
      { key: "materialCode", title: "物料编码", type: "Input", },
      { key: "materialClassify", title: "物料分类", type: "Input", },
      { key: "materialManufacturersCode", title: "厂家物料编码", type: "Input", },
      { key: "specification", title: "规格", type: "Input", },
      { key: "model", title: "型号", type: "Input", },
      { key: "isMedcine", title: "医药物料", type: "Input", },
      { key: "manufacturer", title: "生产厂家代理人", type: "Input", },
      { key: "isDrug", title: "物料药品属性", type: "Input", },
      { key: "unit", title: "单位", type: "Input", },
      { key: "qty", title: "数量", type: "Input", },
      { key: "taxPrice", title: "含税单价", type: "Input", },
      { key: "money", title: "价税合计", type: "Input", },
      { key: "tax", title: "税率", type: "Input", },
      { key: "taxDeductMoneya", title: "折扣金额", type: "Input", },
      { key: "arrivalQty", title: "已到货数量", type: "Input", },
      { key: "unarrivedQty", title: "未到货数量", type: "Input", },
      { key: "notaxMoney", title: "无税金额", type: "Input", },
      { key: "priceSource", title: "价格目录ID", type: "Input", },
      { key: "isStorage", title: "入库关闭", type: "Input", },
      { key: "isInvoice", title: "开票关闭", type: "Input", },
      { key: "isArrival", title: "到货关闭", type: "Input", },
      { key: "isPayment", title: "付款关闭", type: "Input", },
      { key: "isGift", title: "赠品", type: "Input", },
      {
        key: "warehouse",
        title: "收货仓库", //WMS入库仓库
        type: "InputDialog",
        config: { componentName: "Warehouse" },
        width: 200,
      },
      { key: "place", title: "收货地点", type: "Input", },
      { key: "address", title: "收货地址", type: "Input", },
      { key: "productBatch", title: "产品批号", type: "Input", },
      { key: "manufactureDate", title: "生产日期", type: "Input", },
      { key: "efficacyLoseDate", title: "有效期至/失效日期", type: "Input", },
      { key: "approvalNumber", title: "批准文号", type: "Input", },
      { key: "registration", title: "注册证号", type: "Input", },
      { key: "storageCondition", title: "存储条件", type: "Input", },
      { key: "carriageCondition", title: "运输条件", type: "Input", },
      { key: "isBatchLock", title: "批号锁定标识", type: "Input", },
      { key: "isReplenishment", title: "补单标识", type: "Input", },
      { key: "isUrgency", title: "紧急标识", type: "Input", },
      { key: "originalQty", title: "原始数量", type: "Input", },
      { key: "originalMoney", title: "原始金额", type: "Input", },
      { key: "directProductBatch", title: "直运产品批号", type: "Input", },
      { key: "discountRule", title: "折扣规则编码", type: "Input", },
      { key: "reservedQty", title: "预留数量", type: "Input", },
      { key: "reservedPeriod", title: "预留周期", type: "Input", },
      { key: "taxDeductClassify", title: "扣税类别", type: "Input", },
      { key: "exchangeRate", title: "折本汇率", type: "Input", },
      { key: "source", title: "上游单据号", type: "Input", },
      { key: "sourceId", title: "上游单据ID", type: "Input", },
      { key: "demandCode", title: "采购需求单号", type: "Input", },
      { key: "arrivalDatePlan", title: "计划到货日期", type: "Input", },
      { key: "priceType", title: "价格类型", type: "Input", },
      { key: "isDistributionPrice", title: "配送价", type: "Input", },
      // { key: "tenantId", title: "租户号",type: "Input", },
      // { key: "revision", title: "乐观锁",type: "Input", },
      { key: "createByName", title: "创建人名称", type: "Input", },
      { key: "updateByName", title: "更新人名称", type: "Input", },
      // { key: "delFlag", title: "删除标记",type: "Input", },
      // { key: "materialClassifyOne", title: "物料一级分类",type: "Input", },
      { key: "materialClassifyOneName", title: "物料一级分类名称", type: "Input", },
      // { key: "materialClassifyTwo", title: "物料二级分类",type: "Input", },
      { key: "materialClassifyTwoName", title: "物料二级分类名称", type: "Input", },
      // { key: "materialClassifyThree", title: "物料三级分类",type: "Input", },
      { key: "materialClassifyThreeName", title: "物料三级分类名称", type: "Input", },
      // { key: "materialClassifyFour", title: "物料四级分类",type: "Input", },
      { key: "materialClassifyFourName", title: "物料四级分类名称", type: "Input", },
      { key: "price", title: "无税单价" }
    ]
  },
  {
    title: '执行结果',
    key: 'puOrderExecuteList',
    tableColumns: [
      // { key: "id", title: "主键",type: "Input", },
      { key: "orderId", title: "采购订单ID", type: "Input", },
      { key: "rowno", title: "行号", type: "Input", },
      { key: "material", title: "物料", type: "Input", },
      // { key: "materialName", title: "物料名称", type: "Input", },
      { key: "specification", title: "规格", type: "Input", },
      { key: "qty", title: "数量", type: "Input", },
      { key: "stroageQty", title: "累计到货主数量", type: "Input", },
      { key: "stockQty", title: "累计入库主数量", type: "Input", },
      { key: "invoiceQty", title: "累计开票主数量", type: "Input", },
      { key: "rollbackQty", title: "累计退货主数量", type: "Checkbox", },
      { key: "backStockQty", title: "累计退库主数量", type: "Input", },
      { key: "floatQty", title: "未到货数量", type: "Input", },
      // { key: "tenantId", title: "租户号",type: "Input", },
      // { key: "revision", title: "乐观锁",type: "Input", },
      { key: "createByName", title: "创建人名称", type: "Input", },
      { key: "updateByName", title: "更新人名称", type: "Input", },
      // { key: "delFlag", title: "删除标记" }
    ]
  },
];

export const initTabColumns = () => tabColumns;
